it.csi.mddtools.guigen

## Interface UCBasedSecurityConstraint

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, UISecurityConstraint

      public interface UCBasedSecurityConstraint
      extends UISecurityConstraint

  A representation of the model object 'UC Based Security Constraint'. Security constraint basato sull'abilitazione dell'utente corrente ad un particolare UseCase

  The following features are supported:

  - `Use Case`
  See Also:
    `GuigenPackage.getUCBasedSecurityConstraint()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `UseCase` | `getUseCase()` Returns the value of the 'Use Case' reference
    `void` | `setUseCase(UseCase value)` Sets the value of the '`Use Case`' reference

    - ### Methods inherited from interface it.csi.mddtools.guigen.UISecurityConstraint

      `isEnabled, isVisible, setEnabled, setVisible`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getUseCase

          UseCase getUseCase()

      Returns the value of the 'Use Case' reference.

      If the meaning of the 'Use Case' reference isn't clear, there really should be more of a description here...

      Lo UseCase di riferimento
      Returns:
        the value of the 'Use Case' reference.
      See Also:
        `setUseCase(UseCase)`, `GuigenPackage.getUCBasedSecurityConstraint_UseCase()`

    - #### setUseCase

          void setUseCase(UseCase value)

      Sets the value of the '`Use Case`' reference.
      Parameters:
        `value` - the new value of the 'Use Case' reference.
      See Also:
        `getUseCase()`